using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication67
{
    class Program
    {
        static void Main(string[] args)
        {
            int x1, x2, y1, y2;
            string[] s = Console.ReadLine().Split();
            x1 = int.Parse(s[0]);
            y1 = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            x2 = int.Parse(s[0]);
            y2 = int.Parse(s[1]);
            if (x1 == x2 || y1 == y2) Console.WriteLine("2");
            else
            {
                if (Math.Abs(x1 - x2) == Math.Abs(y1 - y2)) Console.WriteLine("1");
                else Console.WriteLine("0");
            }
        }
    }
}